Package picard.fingerprint

# Class CalculateFingerprintMetrics

java.lang.Object
picard.cmdline.CommandLineProgram
picard.fingerprint.CalculateFingerprintMetrics

@DocumentedFeature public class CalculateFingerprintMetrics extends CommandLineProgram
Calculates various metrics on a sample fingerprint, indicating whether the fingerprint satisfies the assumptions we have. For example, if too many sites are heterozygous, that would get flagged.

## Field Summary

Fields
Modifier and Type
Field
Description
`CrosscheckMetric.DataType`
`CALCULATE_BY`
`final double`
`GENOTYPE_LOD_THRESHOLD`
`File`
`HAPLOTYPE_MAP`
`List<String>`
`INPUT`
`final int`
`NUMBER_OF_SAMPLING`
`File`
`OUTPUT`
`boolean`
`TEST_INPUT_READABILITY`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CalculateFingerprintMetrics()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.
`FingerprintMetrics`
`getFingerprintMetrics(Fingerprint fingerprint)`

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="One or more input files (SAM/BAM/CRAM or VCF).") public List<String> INPUT

### OUTPUT

@Argument(shortName="O", doc="The output file to write (Metrics).") public File OUTPUT

### HAPLOTYPE_MAP

@Argument(shortName="H", doc="The file lists a set of SNPs, optionally arranged in high-LD blocks, to be used for fingerprinting. See https://gatk.broadinstitute.org/hc/en-us/articles/360035531672-Haplotype-map-format for details.") public File HAPLOTYPE_MAP

### CALCULATE_BY

@Argument(doc="Specificies which data-type should be used as the basic unit. Fingerprints from readgroups can be \"rolled-up\" to the LIBRARY, SAMPLE, or FILE level before being used. Fingerprints from VCF can be be examined by SAMPLE or FILE.") public CrosscheckMetric.DataType CALCULATE_BY

### GENOTYPE_LOD_THRESHOLD

@Argument(doc="LOD score threshold for considering a genotype to be definitive.") public final double GENOTYPE_LOD_THRESHOLD

See Also:
  - Constant Field Values

### NUMBER_OF_SAMPLING

@Argument(doc="Number of randomization trials for calculating the DISCRIMINATORY_POWER metric.") public final int NUMBER_OF_SAMPLING

See Also:
  - Constant Field Values

### TEST_INPUT_READABILITY

@Hidden @Argument(doc="When true code will check for readability on input files (this can be slow on cloud access)") public boolean TEST_INPUT_READABILITY

## Constructor Details

### CalculateFingerprintMetrics

public CalculateFingerprintMetrics()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.

### getFingerprintMetrics

public FingerprintMetrics getFingerprintMetrics(Fingerprint fingerprint)